org.eclipse.jetty.io.nio

## Interface AsyncConnection

- All Superinterfaces:
    Connection
  All Known Subinterfaces:
    WebSocketConnection, WebSocketServletConnection
  All Known Implementing Classes:
    AsyncHttpConnection, AsyncHttpConnection, ConnectHandler.ClientToProxyConnection, ConnectHandler.ProxyToServerConnection, SslConnection, WebSocketConnectionD00, WebSocketConnectionD06, WebSocketConnectionD08, WebSocketConnectionRFC6455, WebSocketServletConnectionD00, WebSocketServletConnectionD06, WebSocketServletConnectionD08, WebSocketServletConnectionRFC6455

      public interface AsyncConnection
      extends Connection

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onInputShutdown()`

    - ### Methods inherited from interface org.eclipse.jetty.io.Connection

      `getTimeStamp, handle, isIdle, isSuspended, onClose, onIdleExpired`

- - ### Method Detail

    - #### onInputShutdown

          void onInputShutdown()
                               throws IOException

      Throws:
        `IOException`

Copyright © 1995-2013 Mort Bay Consulting. All Rights Reserved.